7.6 Modülleri Sürümlere Uyarlamak

PNT Nuke ve Php Nuke Hakkındaki İp Uçları

Moderatör: Moderatörler

7.6 Modülleri Sürümlere Uyarlamak

Mesajgönderen Sonsuzluk » 2012/09/25 - 15:54

Çoğu kişi yeni kurduğu modüllerin sonrasında admin panelindeki hatalardan şikayetçidir.
Bu hatanın bir çok sebebi olabilir ancak, bariz sebeplerinden biri de admin erişimi olan modüllerdeki versiyon uyumsuzluğudur.


Genel bir örnekle, bu sorundan nasıl kurtulacağımızı anlatalım.
admin/modules/modülisminiz.php dosyasını açın, ve bulun

Kod: Tümünü seç
if (!eregi("admin.php", $PHP_SELF)) { die ("Access Denied"); }
$result = sql_query("select radminarticle, radminsuper from ".$prefix."_authors where aid='$aid'", $dbi);
list($radminarticle, $radminsuper) = sql_fetch_row($result, $dbi);
if (($radminarticle==1) OR ($radminsuper==1)) {


ve aşağıdaki kodlarla değiştirin

Kod: Tümünü seç
if (!eregi("admin.php", $_SERVER['PHP_SELF'])) { die ("Access Denied"); }
global $prefix, $db;
$aid = substr("$aid", 0,25);
$row = $db->sql_fetchrow($db->sql_query("SELECT radminsuper FROM " . $prefix . "_authors WHERE aid='$aid'"));
if ($row['radminsuper'] == 1) {
Tarih Hayal Edenleri Değil,Gerçekleştirenleri Yazar !

NOT : Özel mesajla veya farklı yollar ile bana verdiğiniz admin paneli, ftp, phpmyadmin, cpanel, pleskpanel, direckpanel (v.b.) gibi size özel yerlerin kullanıcı adı ve şifrelerini ben sorunu çözüp size teslim ettikten sonra lütfen değiştirin. Aksi taktirde hiçbir sorumluluk kabul etmiyorum.
Administrator
Kullanıcı avatarı
Mesajlar: 2350
Kayıt: 2011/07/10 - 00:00
Konum: Samsun
Ettiği teşekkür: 1
Aldığı teşekkür: 94


Dön İp Uçları

Kimler çevrimiçi

Bu forumu gezen kullanıcılar: Hiç bir kayıtlı kullanıcı yok ve 0 misafir